## AgsSoundcardHelper

AgsSoundcardHelper — soundcard helper

## Stability Level

Stable, unless otherwise indicated

## Functions

guint | ags_soundcard_helper_config_get_dsp_channels ()
guint | ags_soundcard_helper_config_get_pcm_channels ()
gdouble | ags_soundcard_helper_config_get_samplerate ()
guint | ags_soundcard_helper_config_get_buffer_size ()
guint | ags_soundcard_helper_config_get_format ()
gboolean | ags_soundcard_helper_config_get_use_cache ()
guint | ags_soundcard_helper_config_get_cache_buffer_size ()

## Includes

    #include <ags/util/ags_soundcard_helper.h>

## Description

Common helper functions related to AgsSoundcard.

## Functions

### ags_soundcard_helper_config_get_dsp_channels ()

    guint
    ags_soundcard_helper_config_get_dsp_channels
                                   (AgsConfig *config);

Get dsp channels count.

#### Parameters

config | the AgsConfig |

#### Returns

the count of dsp channels

Since: 3.0.0

### ags_soundcard_helper_config_get_pcm_channels ()

    guint
    ags_soundcard_helper_config_get_pcm_channels
                                   (AgsConfig *config);

Get pcm channels count.

#### Parameters

config | the AgsConfig |

#### Returns

the count of pcm channels

Since: 3.0.0

### ags_soundcard_helper_config_get_samplerate ()

    gdouble
    ags_soundcard_helper_config_get_samplerate
                                   (AgsConfig *config);

Get samplerate.

#### Parameters

config | the AgsConfig |

#### Returns

the samplerate

Since: 3.0.0

### ags_soundcard_helper_config_get_buffer_size ()

    guint
    ags_soundcard_helper_config_get_buffer_size
                                   (AgsConfig *config);

Get buffer size.

#### Parameters

config | the AgsConfig |

#### Returns

the buffer size

Since: 3.0.0

### ags_soundcard_helper_config_get_format ()

    guint
    ags_soundcard_helper_config_get_format
                                   (AgsConfig *config);

Get format as AgsSoundcardFormat.

#### Parameters

config | the AgsConfig |

#### Returns

the format

Since: 3.0.0

### ags_soundcard_helper_config_get_use_cache ()

    gboolean
    ags_soundcard_helper_config_get_use_cache
                                   (AgsConfig *config);

Get use cache.

#### Parameters

config | the AgsConfig |

#### Returns

if use cache `TRUE`, otherwise `FALSE`

Since: 6.10.4

### ags_soundcard_helper_config_get_cache_buffer_size ()

    guint
    ags_soundcard_helper_config_get_cache_buffer_size
                                   (AgsConfig *config);

Get cache buffer size.

#### Parameters

config | the AgsConfig |

#### Returns

the cache buffer size

Since: 6.10.4